---
title: "Batch shipping plan V2"
description: >
  Bulk setting of logistics freight plans is supported and can be set based on the shipping group dimension. This operation will serve as the latest logistics freight plan, and any previous freight plans will be completely overwritten.
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/batch-shipping-plan-v-2'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/batch-shipping-plan-v-2.md'
---
# Batch shipping plan V2

Bulk setting of logistics freight plans is supported and can be set based on the shipping group dimension. This operation will serve as the latest logistics freight plan, and any previous freight plans will be completely overwritten.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_shipping`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /logistics/shipping_zones_v2.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_shipping`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `shipping_zones`

  object

  Setting area plan object

  * `product_group_info`

    object

    Item group information

    * `product_group_seq`

      string

      Product grouped serial number , required during update , empty add

    * `product_ids`

      array<string>

      Product serial number list , groupType is required for 2 custom grouping ( Product spu serial number )

    * `product_group_name`

      string

      Product group name , groupType is required when 2 custom grouping ; groupType is default value when 1 general grouping : general grouping

  * `delivery_location_group_list`

    array<object>

    Multiple shipping schemes for multiple shipping sites object

    * `default_tag`

      boolean

      Default shipping location group or not

    * `delivery_plans`

      array<object>

      Multiple zone schemes object

      * `shipping_plans`

        array<object>

        Shipping information object

      * `area_name`

        string

        Regional plan name

      * `areas`

        array<object>

        Zones object

    * `group_name`

      string

      The name of the shipment place is classified , if it is the default delivery place group , the name can be empty

    * `location_seq_list`

      array<string>

      Shipping location list associated with the shipping group

  * `group_type`

    integer

    Shipping configuration type ( 1 : general grouping , 2 : custom grouping , default 1 general grouping if not transmitted )

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `shipping_zone`

  object

  Shipping plan settings return object

  * `group_seq`

    string

    Grouping unique serial number

  * `is_success`

    boolean

    Success ( true or not : success , false : failure )

  * `ext_map`

    map

    Expand information


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Bulk setting of logistics freight plans is supported and can be set based on the shipping group dimension. This operation will serve as the latest logistics freight plan, and any previous freight plans will be completely overwritten.",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_shipping` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "8BWiyzm0",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "shipping_zones": {
              "name": "shipping_zones",
              "description": "Setting area plan object",
              "type": "object",
              "properties": {
                "product_group_info": {
                  "name": "product_group_info",
                  "description": "Item group information",
                  "type": "object",
                  "properties": {
                    "product_group_seq": {
                      "name": "product_group_seq",
                      "description": "Product grouped serial number , required during update , empty add",
                      "type": "string",
                      "example": "\"PG5938934496267609846\""
                    },
                    "product_ids": {
                      "name": "product_ids",
                      "description": "Product serial number list , groupType is required for 2 custom grouping ( Product spu serial number )",
                      "type": "array",
                      "items": {
                        "name": "product_ids",
                        "description": "Product serial number list , groupType is required for 2 custom grouping ( Product spu serial number )",
                        "type": "string",
                        "example": "[\"18053690657964710749100412\",\"18055123775710848634010412\"]"
                      },
                      "example": [
                        "[\"18053690657964710749100412\",\"18055123775710848634010412\"]"
                      ]
                    },
                    "product_group_name": {
                      "name": "product_group_name",
                      "description": "Product group name , groupType is required when 2 custom grouping ; groupType is default value when 1 general grouping : general grouping",
                      "type": "string",
                      "example": "\" custom shipping 01 \""
                    }
                  },
                  "example": {
                    "product_ids": [
                      "[\"18053690657964710749100412\",\"18055123775710848634010412\"]"
                    ],
                    "product_group_name": "\" custom shipping 01 \"",
                    "product_group_seq": "\"PG5938934496267609846\""
                  }
                },
                "delivery_location_group_list": {
                  "name": "delivery_location_group_list",
                  "description": "Multiple shipping schemes for multiple shipping sites object",
                  "type": "array",
                  "items": {
                    "name": "delivery_location_group_list",
                    "description": "Multiple shipping schemes for multiple shipping sites object",
                    "type": "object",
                    "properties": {
                      "default_tag": {
                        "name": "default_tag",
                        "description": "Default shipping location group or not",
                        "type": "boolean",
                        "example": true
                      },
                      "delivery_plans": {
                        "name": "delivery_plans",
                        "description": "Multiple zone schemes object",
                        "type": "array",
                        "items": {
                          "name": "delivery_plans",
                          "description": "Multiple zone schemes object",
                          "type": "object",
                          "properties": {
                            "shipping_plans": {
                              "name": "shipping_plans",
                              "description": "Shipping information object",
                              "type": "array",
                              "items": {
                                "name": "shipping_plans",
                                "description": "Shipping information object",
                                "type": "object",
                                "properties": {
                                  "measure_unit": {
                                    "name": "measure_unit",
                                    "description": "Unit of measurement ( kg-kg , g-g , lb-lb , oz-oz , when chargeMode=1 , required ) eg. kg",
                                    "type": "string",
                                    "example": "\"kg\""
                                  },
                                  "incr_amount": {
                                    "name": "incr_amount",
                                    "description": "Amount of continued ( double type string for precision 2 ) eg. \" 1.08 \"",
                                    "type": "string",
                                    "example": "\"1.88\""
                                  },
                                  "incr_measure": {
                                    "name": "incr_measure",
                                    "description": "Continued ( double type string for precision 2 ) eg. \" 2.01 \"",
                                    "type": "string",
                                    "example": "\"1.00\""
                                  },
                                  "charge_mode": {
                                    "name": "charge_mode",
                                    "description": "Charge mode ( 1- by weight , 3- by-item fee , 4- fixed shipping ) must be within the right range [ 1 , 4 ]",
                                    "type": "integer",
                                    "example": 1
                                  },
                                  "intervals": {
                                    "name": "intervals",
                                    "description": "Range object ( when conditionalInterval equals 2、3、4 , must be transferred )",
                                    "type": "array",
                                    "items": {
                                      "name": "intervals",
                                      "description": "Range object ( when conditionalInterval equals 2、3、4 , must be transferred )",
                                      "type": "object",
                                      "properties": {
                                        "incr_amount": {
                                          "name": "incr_amount",
                                          "description": "Amount of continued ( double type string for precision 2 ) eg. \" 1.08 \"",
                                          "type": "string",
                                          "example": "\"1.88\""
                                        },
                                        "incr_measure": {
                                          "name": "incr_measure",
                                          "description": "Continued ( double type string for precision 2 ) eg. \" 2.01 \"",
                                          "type": "string",
                                          "example": "\"1.00\""
                                        },
                                        "measure_unit": {
                                          "name": "measure_unit",
                                          "description": "Unit of measurement ( kg-kg , g-g , lb-lb , oz-oz , when chargeMode=1 , required ) eg. kg",
                                          "type": "string",
                                          "example": "\"kg\""
                                        },
                                        "start_interval": {
                                          "name": "start_interval",
                                          "description": "Start zone ( double type string for accuracy 2 )",
                                          "type": "string",
                                          "example": "\"0\""
                                        },
                                        "custom_amount": {
                                          "name": "custom_amount",
                                          "description": "Custom shipping amount ( double type string for accuracy 2 , when chargeMode=3 , for fixed shipping amount )",
                                          "type": "string",
                                          "example": "\"90.88\""
                                        },
                                        "end_interval": {
                                          "name": "end_interval",
                                          "description": "End zone ( double type string for accuracy 2 )",
                                          "type": "string",
                                          "example": "\"3\""
                                        },
                                        "first_amount": {
                                          "name": "first_amount",
                                          "description": "Starting amount ( double type string for accuracy 2 ) eg. \" 1.08 \"",
                                          "type": "string",
                                          "example": " \"3.80\""
                                        },
                                        "first_measure": {
                                          "name": "first_measure",
                                          "description": "Starting amount ( double type string for accuracy 2 ) eg. \" 1.08 \"",
                                          "type": "string",
                                          "example": "3"
                                        }
                                      },
                                      "example": {
                                        "first_amount": " \"3.80\"",
                                        "first_measure": "3",
                                        "incr_amount": "\"1.88\"",
                                        "incr_measure": "\"1.00\"",
                                        "measure_unit": "\"kg\"",
                                        "start_interval": "\"0\"",
                                        "custom_amount": "\"90.88\"",
                                        "end_interval": "\"3\""
                                      }
                                    },
                                    "example": [
                                      {
                                        "first_measure": "3",
                                        "incr_amount": "\"1.88\"",
                                        "incr_measure": "\"1.00\"",
                                        "measure_unit": "\"kg\"",
                                        "start_interval": "\"0\"",
                                        "custom_amount": "\"90.88\"",
                                        "end_interval": "\"3\"",
                                        "first_amount": " \"3.80\""
                                      }
                                    ]
                                  },
                                  "custom_amount": {
                                    "name": "custom_amount",
                                    "description": "Custom shipping amount ( double type string for accuracy 2 , when chargeMode=3 , for fixed shipping amount )",
                                    "type": "string",
                                    "example": "\"90.88\""
                                  },
                                  "first_amount": {
                                    "name": "first_amount",
                                    "description": "Starting amount ( double type string for accuracy 2 ) eg. \" 1.08 \"",
                                    "type": "string",
                                    "example": " \"3.80\""
                                  },
                                  "first_measure": {
                                    "name": "first_measure",
                                    "description": "Starting volume ( double type string of precision 2 , when chargeMode=2 , must be whole number ) eg : \" 1.08 \"",
                                    "type": "string",
                                    "example": "3"
                                  },
                                  "conditional_interval": {
                                    "name": "conditional_interval",
                                    "description": "Conditions range ( 1- none , 2- number of units per Product , 3- weight per order , 4- price per order ) must be within a suitable range [ 1 , 4] eg. 1",
                                    "type": "integer",
                                    "example": 3
                                  },
                                  "delivery_name": {
                                    "name": "delivery_name",
                                    "description": "Shipping plan name , shipping name will be displayed to the user to see",
                                    "type": "string",
                                    "example": "Shipping from china -01"
                                  }
                                },
                                "required": [
                                  "charge_mode",
                                  "conditional_interval",
                                  "delivery_name"
                                ],
                                "example": {
                                  "incr_amount": "\"1.88\"",
                                  "measure_unit": "\"kg\"",
                                  "incr_measure": "\"1.00\"",
                                  "intervals": [
                                    {
                                      "incr_measure": "\"1.00\"",
                                      "measure_unit": "\"kg\"",
                                      "start_interval": "\"0\"",
                                      "custom_amount": "\"90.88\"",
                                      "end_interval": "\"3\"",
                                      "first_amount": " \"3.80\"",
                                      "first_measure": "3",
                                      "incr_amount": "\"1.88\""
                                    }
                                  ],
                                  "custom_amount": "\"90.88\"",
                                  "first_amount": " \"3.80\"",
                                  "first_measure": "3",
                                  "charge_mode": 1,
                                  "conditional_interval": 3,
                                  "delivery_name": "Shipping from china -01"
                                }
                              },
                              "example": [
                                {
                                  "incr_measure": "\"1.00\"",
                                  "measure_unit": "\"kg\"",
                                  "custom_amount": "\"90.88\"",
                                  "delivery_name": "Shipping from china -01",
                                  "first_measure": "3",
                                  "intervals": [
                                    {
                                      "incr_measure": "\"1.00\"",
                                      "measure_unit": "\"kg\"",
                                      "start_interval": "\"0\"",
                                      "custom_amount": "\"90.88\"",
                                      "end_interval": "\"3\"",
                                      "first_amount": " \"3.80\"",
                                      "first_measure": "3",
                                      "incr_amount": "\"1.88\""
                                    }
                                  ],
                                  "incr_amount": "\"1.88\"",
                                  "conditional_interval": 3,
                                  "first_amount": " \"3.80\"",
                                  "charge_mode": 1
                                }
                              ]
                            },
                            "area_name": {
                              "name": "area_name",
                              "description": "Regional plan name",
                              "type": "string",
                              "example": "China shipping"
                            },
                            "areas": {
                              "name": "areas",
                              "description": "Zones object",
                              "type": "array",
                              "items": {
                                "name": "areas",
                                "description": "Zones object",
                                "type": "object",
                                "properties": {
                                  "area_codes": {
                                    "name": "area_codes",
                                    "description": "Country code",
                                    "type": "array",
                                    "items": {
                                      "name": "area_codes",
                                      "description": "Country code",
                                      "type": "string",
                                      "example": "12001"
                                    },
                                    "example": [
                                      "12001"
                                    ]
                                  },
                                  "country_code": {
                                    "name": "country_code",
                                    "description": "Non-country address encoding ( such as province , city )",
                                    "type": "string",
                                    "example": "CN"
                                  }
                                },
                                "required": [
                                  "country_code"
                                ],
                                "example": {
                                  "country_code": "CN",
                                  "area_codes": [
                                    "12001"
                                  ]
                                }
                              },
                              "example": [
                                {
                                  "area_codes": [
                                    "12001"
                                  ],
                                  "country_code": "CN"
                                }
                              ]
                            }
                          },
                          "required": [
                            "area_name",
                            "shipping_plans"
                          ],
                          "example": {
                            "shipping_plans": [
                              {
                                "custom_amount": "\"90.88\"",
                                "incr_amount": "\"1.88\"",
                                "first_measure": "3",
                                "intervals": [
                                  {
                                    "first_amount": " \"3.80\"",
                                    "first_measure": "3",
                                    "incr_amount": "\"1.88\"",
                                    "incr_measure": "\"1.00\"",
                                    "measure_unit": "\"kg\"",
                                    "start_interval": "\"0\"",
                                    "custom_amount": "\"90.88\"",
                                    "end_interval": "\"3\""
                                  }
                                ],
                                "delivery_name": "Shipping from china -01",
                                "first_amount": " \"3.80\"",
                                "incr_measure": "\"1.00\"",
                                "charge_mode": 1,
                                "conditional_interval": 3,
                                "measure_unit": "\"kg\""
                              }
                            ],
                            "area_name": "China shipping",
                            "areas": [
                              {
                                "area_codes": [
                                  "12001"
                                ],
                                "country_code": "CN"
                              }
                            ]
                          }
                        },
                        "example": [
                          {
                            "area_name": "China shipping",
                            "areas": [
                              {
                                "area_codes": [
                                  "12001"
                                ],
                                "country_code": "CN"
                              }
                            ],
                            "shipping_plans": [
                              {
                                "incr_measure": "\"1.00\"",
                                "delivery_name": "Shipping from china -01",
                                "first_amount": " \"3.80\"",
                                "conditional_interval": 3,
                                "incr_amount": "\"1.88\"",
                                "custom_amount": "\"90.88\"",
                                "charge_mode": 1,
                                "first_measure": "3",
                                "measure_unit": "\"kg\"",
                                "intervals": [
                                  {
                                    "incr_amount": "\"1.88\"",
                                    "incr_measure": "\"1.00\"",
                                    "measure_unit": "\"kg\"",
                                    "start_interval": "\"0\"",
                                    "custom_amount": "\"90.88\"",
                                    "end_interval": "\"3\"",
                                    "first_amount": " \"3.80\"",
                                    "first_measure": "3"
                                  }
                                ]
                              }
                            ]
                          }
                        ]
                      },
                      "group_name": {
                        "name": "group_name",
                        "description": "The name of the shipment place is classified , if it is the default delivery place group , the name can be empty",
                        "type": "string",
                        "example": ""
                      },
                      "location_seq_list": {
                        "name": "location_seq_list",
                        "description": "Shipping location list associated with the shipping group",
                        "type": "array",
                        "items": {
                          "name": "location_seq_list",
                          "description": "Shipping location list associated with the shipping group",
                          "type": "string",
                          "example": ""
                        },
                        "example": [
                          ""
                        ]
                      }
                    },
                    "required": [
                      "default_tag"
                    ],
                    "example": {
                      "delivery_plans": [
                        {
                          "area_name": "China shipping",
                          "areas": [
                            {
                              "area_codes": [
                                "12001"
                              ],
                              "country_code": "CN"
                            }
                          ],
                          "shipping_plans": [
                            {
                              "delivery_name": "Shipping from china -01",
                              "intervals": [
                                {
                                  "end_interval": "\"3\"",
                                  "first_amount": " \"3.80\"",
                                  "first_measure": "3",
                                  "incr_amount": "\"1.88\"",
                                  "incr_measure": "\"1.00\"",
                                  "measure_unit": "\"kg\"",
                                  "start_interval": "\"0\"",
                                  "custom_amount": "\"90.88\""
                                }
                              ],
                              "measure_unit": "\"kg\"",
                              "conditional_interval": 3,
                              "incr_amount": "\"1.88\"",
                              "incr_measure": "\"1.00\"",
                              "custom_amount": "\"90.88\"",
                              "charge_mode": 1,
                              "first_amount": " \"3.80\"",
                              "first_measure": "3"
                            }
                          ]
                        }
                      ],
                      "group_name": "",
                      "location_seq_list": [
                        ""
                      ],
                      "default_tag": true
                    }
                  },
                  "example": [
                    {
                      "group_name": "",
                      "location_seq_list": [
                        ""
                      ],
                      "default_tag": true,
                      "delivery_plans": [
                        {
                          "area_name": "China shipping",
                          "areas": [
                            {
                              "area_codes": [
                                "12001"
                              ],
                              "country_code": "CN"
                            }
                          ],
                          "shipping_plans": [
                            {
                              "custom_amount": "\"90.88\"",
                              "first_measure": "3",
                              "incr_amount": "\"1.88\"",
                              "conditional_interval": 3,
                              "delivery_name": "Shipping from china -01",
                              "incr_measure": "\"1.00\"",
                              "measure_unit": "\"kg\"",
                              "first_amount": " \"3.80\"",
                              "charge_mode": 1,
                              "intervals": [
                                {
                                  "custom_amount": "\"90.88\"",
                                  "end_interval": "\"3\"",
                                  "first_amount": " \"3.80\"",
                                  "first_measure": "3",
                                  "incr_amount": "\"1.88\"",
                                  "incr_measure": "\"1.00\"",
                                  "measure_unit": "\"kg\"",
                                  "start_interval": "\"0\""
                                }
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                },
                "group_type": {
                  "name": "group_type",
                  "description": "Shipping configuration type ( 1 : general grouping , 2 : custom grouping , default 1 general grouping if not transmitted )",
                  "type": "integer",
                  "example": 1
                }
              },
              "required": [
                "delivery_location_group_list"
              ],
              "example": {
                "delivery_location_group_list": [
                  {
                    "delivery_plans": [
                      {
                        "shipping_plans": [
                          {
                            "charge_mode": 1,
                            "conditional_interval": 3,
                            "first_measure": "3",
                            "intervals": [
                              {
                                "incr_amount": "\"1.88\"",
                                "incr_measure": "\"1.00\"",
                                "measure_unit": "\"kg\"",
                                "start_interval": "\"0\"",
                                "custom_amount": "\"90.88\"",
                                "end_interval": "\"3\"",
                                "first_amount": " \"3.80\"",
                                "first_measure": "3"
                              }
                            ],
                            "incr_measure": "\"1.00\"",
                            "delivery_name": "Shipping from china -01",
                            "incr_amount": "\"1.88\"",
                            "measure_unit": "\"kg\"",
                            "custom_amount": "\"90.88\"",
                            "first_amount": " \"3.80\""
                          }
                        ],
                        "area_name": "China shipping",
                        "areas": [
                          {
                            "area_codes": [
                              "12001"
                            ],
                            "country_code": "CN"
                          }
                        ]
                      }
                    ],
                    "group_name": "",
                    "location_seq_list": [
                      ""
                    ],
                    "default_tag": true
                  }
                ],
                "group_type": 1,
                "product_group_info": {
                  "product_ids": [
                    "[\"18053690657964710749100412\",\"18055123775710848634010412\"]"
                  ],
                  "product_group_name": "\" custom shipping 01 \"",
                  "product_group_seq": "\"PG5938934496267609846\""
                }
              }
            }
          },
          "example": {
            "shipping_zones": {
              "delivery_location_group_list": [
                {
                  "location_seq_list": [
                    ""
                  ],
                  "default_tag": true,
                  "delivery_plans": [
                    {
                      "areas": [
                        {
                          "area_codes": [
                            "12001"
                          ],
                          "country_code": "CN"
                        }
                      ],
                      "shipping_plans": [
                        {
                          "charge_mode": 1,
                          "custom_amount": "\"90.88\"",
                          "first_measure": "3",
                          "conditional_interval": 3,
                          "delivery_name": "Shipping from china -01",
                          "incr_measure": "\"1.00\"",
                          "intervals": [
                            {
                              "measure_unit": "\"kg\"",
                              "start_interval": "\"0\"",
                              "custom_amount": "\"90.88\"",
                              "end_interval": "\"3\"",
                              "first_amount": " \"3.80\"",
                              "first_measure": "3",
                              "incr_amount": "\"1.88\"",
                              "incr_measure": "\"1.00\""
                            }
                          ],
                          "measure_unit": "\"kg\"",
                          "first_amount": " \"3.80\"",
                          "incr_amount": "\"1.88\""
                        }
                      ],
                      "area_name": "China shipping"
                    }
                  ],
                  "group_name": ""
                }
              ],
              "group_type": 1,
              "product_group_info": {
                "product_group_seq": "\"PG5938934496267609846\"",
                "product_ids": [
                  "[\"18053690657964710749100412\",\"18055123775710848634010412\"]"
                ],
                "product_group_name": "\" custom shipping 01 \""
              }
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "shipping_zone": {
                "name": "shipping_zone",
                "description": "Shipping plan settings return object",
                "type": "object",
                "properties": {
                  "group_seq": {
                    "name": "group_seq",
                    "description": "Grouping unique serial number",
                    "type": "string",
                    "example": ""
                  },
                  "is_success": {
                    "name": "is_success",
                    "description": "Success ( true or not : success , false : failure )",
                    "type": "boolean",
                    "example": false
                  },
                  "ext_map": {
                    "name": "ext_map",
                    "description": "Expand information",
                    "type": "map",
                    "example": {}
                  }
                },
                "example": {
                  "ext_map": {},
                  "group_seq": "",
                  "is_success": false
                }
              }
            },
            "example": {
              "shipping_zone": {
                "is_success": false,
                "ext_map": {},
                "group_seq": ""
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/logistics/shipping_zones_v2.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Batch shipping plan V2",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_shipping"
  ]
}
```